package com.facebook.share.model;

import com.facebook.share.model.ShareContent.Builder;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.ArrayList;
import java.util.List;

public class SharePhotoContent$Builder extends Builder<SharePhotoContent, SharePhotoContent$Builder> {
    private final List<SharePhoto> photos = new ArrayList();

    public SharePhotoContent$Builder() {
        AppMethodBeat.i(97569);
        AppMethodBeat.o(97569);
    }

    public SharePhotoContent$Builder addPhoto(SharePhoto sharePhoto) {
        AppMethodBeat.i(97570);
        if (sharePhoto != null) {
            this.photos.add(new SharePhoto.Builder().readFrom(sharePhoto).build());
        }
        AppMethodBeat.o(97570);
        return this;
    }

    public SharePhotoContent$Builder addPhotos(List<SharePhoto> list) {
        AppMethodBeat.i(97571);
        if (list != null) {
            for (SharePhoto addPhoto : list) {
                addPhoto(addPhoto);
            }
        }
        AppMethodBeat.o(97571);
        return this;
    }

    public SharePhotoContent build() {
        AppMethodBeat.i(97572);
        SharePhotoContent sharePhotoContent = new SharePhotoContent(this, null);
        AppMethodBeat.o(97572);
        return sharePhotoContent;
    }

    public SharePhotoContent$Builder readFrom(SharePhotoContent sharePhotoContent) {
        AppMethodBeat.i(97573);
        if (sharePhotoContent == null) {
            AppMethodBeat.o(97573);
            return this;
        }
        this = ((SharePhotoContent$Builder) super.readFrom(sharePhotoContent)).addPhotos(sharePhotoContent.getPhotos());
        AppMethodBeat.o(97573);
        return this;
    }

    public SharePhotoContent$Builder setPhotos(List<SharePhoto> list) {
        AppMethodBeat.i(97574);
        this.photos.clear();
        addPhotos(list);
        AppMethodBeat.o(97574);
        return this;
    }
}
